/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChunkProgressBarComponent } from "./chunk/chunk-progressbar.component";
import { CircularProgressbarCenterTemplateDirective } from "./circularprogressbar/center-template.directive";
import { CircularProgressBarComponent } from "./circularprogressbar/circular-progressbar.component";
import { ProgressBarCustomMessagesComponent } from "./common/localization/custom-messages.component";
import { ProgressBarComponent } from "./progressbar.component";
/**
 * Utility array that contains all `ChunkProgressBar` related components and directives
 */
export declare const KENDO_CHUNKPROGRESSBAR: readonly [typeof ChunkProgressBarComponent, typeof ProgressBarCustomMessagesComponent];
/**
 * Utility array that contains all `CircularProgressBar` related components and directives
 */
export declare const KENDO_CIRCULARPROGRESSBAR: readonly [typeof CircularProgressbarCenterTemplateDirective, typeof CircularProgressBarComponent, typeof ProgressBarCustomMessagesComponent];
/**
 * Utility array that contains all `ProgressBar` related components and directives
 */
export declare const KENDO_PROGRESSBAR: readonly [typeof ProgressBarComponent, typeof ProgressBarCustomMessagesComponent];
/**
 * Utility array that contains all `@progress/kendo-angular-progressbar` related components and directives
 */
export declare const KENDO_PROGRESSBARS: readonly [typeof ChunkProgressBarComponent, typeof ProgressBarCustomMessagesComponent, typeof CircularProgressbarCenterTemplateDirective, typeof CircularProgressBarComponent, typeof ProgressBarCustomMessagesComponent, typeof ProgressBarComponent, typeof ProgressBarCustomMessagesComponent];
