/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChunkProgressBarComponent } from "./chunk/chunk-progressbar.component";
import { CircularProgressbarCenterTemplateDirective } from "./circularprogressbar/center-template.directive";
import { CircularProgressBarComponent } from "./circularprogressbar/circular-progressbar.component";
import { ProgressBarCustomMessagesComponent } from "./common/localization/custom-messages.component";
import { ProgressBarComponent } from "./progressbar.component";
/**
 * Utility array that contains all `ChunkProgressBar` related components and directives
 */
export const KENDO_CHUNKPROGRESSBAR = [
    ChunkProgressBarComponent,
    ProgressBarCustomMessagesComponent
];
/**
 * Utility array that contains all `CircularProgressBar` related components and directives
 */
export const KENDO_CIRCULARPROGRESSBAR = [
    CircularProgressbarCenterTemplateDirective,
    CircularProgressBarComponent,
    ProgressBarCustomMessagesComponent
];
/**
 * Utility array that contains all `ProgressBar` related components and directives
 */
export const KENDO_PROGRESSBAR = [
    ProgressBarComponent,
    ProgressBarCustomMessagesComponent
];
/**
 * Utility array that contains all `@progress/kendo-angular-progressbar` related components and directives
 */
export const KENDO_PROGRESSBARS = [
    ...KENDO_CHUNKPROGRESSBAR,
    ...KENDO_CIRCULARPROGRESSBAR,
    ...KENDO_PROGRESSBAR
];
